Cargar documento
POST
/partner/tenants/{tenant_id}/kb/documents
const url = 'https://api.overtaker.online/api/v1/partner/tenants/example/kb/documents';const form = new FormData();form.append('file', 'file');
const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.overtaker.online/api/v1/partner/tenants/example/kb/documents \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: multipart/form-data' \ --form file=@fileSube un archivo (PDF, DOCX, TXT) al KB. El contenido se procesa en background.
Authorizations
Sección titulada «Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada «Path Parameters » tenant_id
required
Tenant Id
string
Request Body required
Sección titulada «Request Body required » Media type multipart/form-data
Body_upload_document_partner_tenants__tenant_id__kb_documents_post
object
file
required
File
string format: binary
Responses
Sección titulada « Responses »Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}